unit AppGlobals;
{ DeHQX v2.0.0  Peter Lewis, Aug 1991 }

interface

	uses
		MyTypes;

	const
		myAppType = 'PnLh';
		pref_rsrc = 'PREF';
		pref_id = 128;
		pref_read_alert_id = 130;
		pref_write_alert_id = 131;
		pref_save_changes_alert_id = 132;
		quit_now_alert_id = 133;
		disk_error_alert_id = 201;
		hqx_error_alert_id = 202;
		pref_dialog_id = 400;
		get_folder_id = 500;				{ dialog pair - system 6=500, system 7=501 }
		put_folder_id = 502;				{ dialog pair - system 6=502, system 7=503 }
		display_dialog_id = 700;
		window_id = 128;
		hqx_strh_id = 128;
		display_strh_id = 129;
		global_strh_id = 130;
		HqxFormatErr = myErr3;

	const
		pref_resource = 1;
		pref_name = 2;
		pref_save = 3;
		sfput_string = 4;
		folder_name = 5;
		no_drop_folder = 6;
		help_menu_text = 7;

	const
		M_DeHQX = 1;
		M_Close = 2;
		M_Preferences = 4;
		M_Help = 6;
		M_Quit = 7;

	function GetGlobalString (i: integer): str255;

implementation

	function GetGlobalString (i: integer): str255;
		var
			s: str255;
	begin
		GetIndString(s, global_strh_id, i);
		GetGlobalString := s;
	end;

end.